CD-Text in Japanese is displayed as gibberish
April 10, 2018 23:56 - Net Helin
Affects version: 3.9

Description

CD-Text from some Japanese CDs is displayed as gibberish. It seems to be encoded in MS-JIS. It should be possible to read
CD-Text using this character encoding so it's displayed correctly.

History

#1 - April 22, 2018 19:15 - John Lindgren

Under File -> Settings -> Advanced -> Compatibility, have you tried setting "Auto character encoding detector" to Japanese?

Or have you tried prepending "MS-JIS" to the list of fallback character encodings?

#2 - April 22,2018 19:16 - John Lindgren
- Tracker changed from Bug to Support

#3 - April 26, 2018 12:19 - Net Helin
- File Audacious CD-Text.png added

I've tried changing the detector to Japanese and entering various fallback encodings (like MS932 and SHIFT-JIS; MS-JIS doesn't seem to be an
actual encoding name), and then re-adding the CD. It seems these settings don't affect CD-Text decoding at all.

#4 - April 26, 2018 15:08 - John Lindgren

Can you extract one of those titles and post it here in hex? (The exact bytes that are on the disk, not what is displayed in the GUI.)

One way to do this would be to run in a debugger and stop at the following line:
https://github.com/audacious-media-player/audacious-plugins/blob/f0949b25d120f9ef40bcb31c98b95d85e7927342/src/cdaudio/cdaudio-ng.cc#L.589

#5 - April 28, 2018 06:10 - Net Helin
- File audacious-gdb.txt added

Hmm, not sure if it's useful. | think it's already converted at that point.

#6 - April 30, 2018 02:29 - John Lindgren

Audacious hasn't done any conversion of the strings at that point; they are byte-for-byte what is returned by cdtext_get_const() (part of GNU libcdio).
So either libcdio is doing some kind of conversion, or the software that burned the disk got it wrong.

Have you been able to read the CD-Text for this disk successfully with any other player? Can you copy and paste a few of those same strings in
Unicode as they ought to be rendered?
https://github.com/audacious-media-player/audacious-plugins/blob/f0949b25d120f9ef40bcb31c98b95d85e7927342/src/cdaudio/cdaudio-ng.cc#L589

#7 - June 30, 2018 01:57 - John Lindgren

- Status changed from New to Rejected

We don't really have enough info to solve this. Closing.

#8 - March 05, 2021 15:10 - jesus2099 [

Hello,
| have the same issue.
Tell my how | can give you more info.

I have a CD that makes the same giberish character tracklist shown as in OP.
Changing the advanced settings (Auto character encoding detector and fallback character encodings) has zero effects.
It has the following CD-TEXT:

1. MS-JIS Japanese
2.150-8859-1 English

| have another CD (https:/musicbrainz.org/release/005deaa3-25f2-4353-8333-9665ce05fecc), that triggers a CDDB error (I didn't find where to
change URL to gnudb.org).

The tracklist has no titles.

It has the following CD-TEXT:

1.1S0-8859-1 English
2. MS-JIS Japanese

Files
Audacious CD-Text.png 99.4 KB April 26, 2018 Net Helin
audacious-gdb.txt 2.75 KB April 28, 2018 Net Helin
